Page MenuHomePhabricator

Schema compatibility checking / schema evolution / migration on table creation for table that already exists
Closed, ResolvedPublic

Description

We currently don't check whether an existing table actually matches the schema specified in a table creation request, and just assume that it does. We should

  • check whether the schema matches (based on the json schema stored in the meta table, but possibly also based on the actual table schema as exposed by system.schema_colums.

Event Timeline

GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke added a project: RESTBase-Cassandra.
GWicke changed Security from none to None.
GWicke added a subscriber: GWicke.
Hardikj claimed this task.Dec 15 2014, 7:39 PM
GWicke updated the task description. (Show Details)Dec 16 2014, 8:59 PM
GWicke renamed this task from Schema compatibility checking / schema evolution on table creation for table that already exists to Schema compatibility checking / schema evolution / migration on table creation for table that already exists.Apr 19 2015, 10:49 PM
GWicke triaged this task as Normal priority.Apr 19 2015, 10:56 PM
GWicke added a comment.EditedApr 20 2015, 3:25 PM

We'll need some simple schema evolution capabilities soon-ish:

  1. adding / removing non-index columns
  2. changing the retention policy (simple, as no table change required)
  3. changing compression options
    • will be needed for LZMA compression, possible parameter changes

More complex and lower priority:

  1. adding secondary indexes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2015, 1:33 AM
Pchelolo closed this task as Resolved.Oct 12 2016, 11:56 PM
Pchelolo added a subscriber: Pchelolo.

We have table mighrations for quite a while now. Resolving